buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.3'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}


apply plugin: 'com.android.application'

android {
    compileSdkVersion 26
    buildToolsVersion "26.0.0"
    defaultConfig {
        applicationId "com.meerkat.laura.fakescannerapp"
        minSdkVersion 14
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        // Enabling multidex support.
        multiDexEnabled true
        vectorDrawables.useSupportLibrary = true
    }



    buildTypes {
        debug {
            debuggable true
        }
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}


configurations.all {
    resolutionStrategy.dependencySubstitution {
        // Avoid Android compilation error caused by two different javax.inject dependencies.
        substitute module('org.glassfish.hk2.external:javax.inject:2.4.0-b34') with module('javax.inject:javax.inject:1')
    }
}

dependencies {
//    compile fileTree(dir: 'libs', include: ['*.jar'])

    compile project(':meerkat-common')
    compile project(':scanner-api-common')

    //    compile 'com.android.support.constraint:constraint-layout:1.0.0-beta3'

    //compile 'com.android.support:appcompat-v7:23.1.0'
    // Google protobufs
    // Retrofit
//    compile 'com.squareup.retrofit2:retrofit:2.1.0'
//    compile 'com.squareup.retrofit2:converter-protobuf:2.2.0'

    //    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
//        exclude group: 'com.android.support', module: 'support-annotations'
//    })

    compile 'com.android.support:appcompat-v7:26.0.+'
    compile 'com.google.protobuf:protobuf-java:3.+'
    compile 'com.android.support:support-v4:26.0.+'
    compile 'com.android.support:support-vector-drawable:26.0.+'
    testCompile 'junit:junit:4.12'
}

repositories {
    mavenLocal()

    jcenter()
}
